Bug 163438 - New port: multimedia/mplayer2
New port: multimedia/mplayer2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Chris Rees
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-18 19:40 UTC by magik
Modified: 2012-10-25 07:10 UTC (History)
0 users

See Also:


Attachments
file.shar (23.42 KB, text/plain)
2011-12-18 19:40 UTC, magik
no flags Details
mplayer2.shar (20.73 KB, application/x-shar)
2012-05-11 07:46 UTC, lichray
no flags Details
mplayer2-1.shar (22.21 KB, application/x-shar)
2012-05-12 07:52 UTC, lichray
no flags Details
multimedia_mplayer2.shar (21.67 KB, application/x-shar)
2012-06-03 20:08 UTC, magik
no flags Details
mplayer2-3.shar (19.96 KB, application/x-shar)
2012-06-08 11:50 UTC, lichray
no flags Details
multimedia_mplayer2.shar (20.68 KB, application/x-shar)
2012-08-07 11:59 UTC, magik
no flags Details
multimedia_mplayer2.shar (20.59 KB, application/x-shar)
2012-10-21 22:34 UTC, magik
no flags Details
multimedia_mplayer2.shar (20.59 KB, application/x-shar)
2012-10-23 20:32 UTC, magik
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description magik 2011-12-18 19:40:09 UTC
mplayer2 is an advanced general-purpose video player. A fork of the original MPlayer project.

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2011-12-19 15:55:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 lichray 2012-05-11 07:46:10 UTC
Second try.

1. Use the git version (email privately for the .tar.xz if miwi@ want
to test this);
2. Disable ALSA, deprecate cdparanoia (by upstream);
3. No longer support NLS UI;
4. OSS v4 like volume control works for FreeBSD now.

-- 
Zhihao Yuan, nickname lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 3 lichray 2012-05-11 08:15:30 UTC
I've uploaded the distfile to
https://docs.google.com/open?id=0B5749ux4jowQR1YtOFdtOWctLXM

-- 
Zhihao Yuan, nickname lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 4 lichray 2012-05-12 07:52:34 UTC
Updates:
 1. Mplayer2 also test as's version, so it can trustfully test
cmov/ssse3 supports now.
 2. Merge some changes from the mplayer port (log2/logf, etc.)
 3. bluray.2;
 4. Let mplayer2 finds libass.

-- 
Zhihao Yuan, nickname lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 5 Martin Wilke freebsd_committer 2012-05-30 12:46:22 UTC
State Changed
From-To: open->feedback

port fails to fetch.
Comment 6 magik 2012-06-03 20:08:15 UTC
Updated to 2012-05-17 snapshot
Tarball hosted on http://files.roorback.net/
Comment 7 lichray 2012-06-08 11:50:17 UTC
Still 2012-05-17, but:

1. Fix pthread (my bad, typo).
2. Switch to the optionsNG.
3. Drop some useless options (dga, svga, openal).
4. Combine x11, xv, xvidmode into one option.
5. Properly (finally!) let mplayer decide optimized CFLAGS.
6. Runtime CPU detection is only used in PACKAGE_BUILD; otherwise
OCFLAGS is used.
7. Fix plist (multilingual manpage dirs).

-- 
Zhihao Yuan, nickname lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 8 Sergey V. Dyatko 2012-07-13 07:47:21 UTC
Hi,

I wanna say 'thanks for you work'
but..

[quote]
CONFLICTS=      ffmpeg-0.* mplayer-1.*
[/quote]

are you sure that conflicts with ffmpeg is correct ?
ok, I can de-install mplayer1, but not ffmpeg:

===>  mplayer2-2.0.20120517 conflicts with installed package(s): 
      ffmpeg-0.7.13_1,1
      mplayer-1.0.r20120322_2

      They install files into the same place.
      You may want to stop build with Ctrl + C.
^C

laptop# pkg_delete ffmpeg-0.7.13_1,1
pkg_delete: package 'ffmpeg-0.7.13_1,1' is required by these other
      packages and may not be deinstalled:
ffmpegthumbnailer-2.0.7_2
xfce-4.10

I can comment out ffmpeg on conflicts section, what will happen after
install mplayer2 ?

-- 
wbr, tiger
Comment 9 magik 2012-07-13 10:03:48 UTC
mplayer2 don't works with multimedia/ffmpeg and needs to be linked
against multimedia/ffmpeg-devel.  In other words mplayer2 is conflicted
with ffmpeg indirectly.
Comment 10 Martin Wilke freebsd_committer 2012-08-05 06:45:04 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

back to pool
Comment 11 magik 2012-08-07 11:59:01 UTC
Now mplayer2 depends on ffmpeg-011 instead of ffmpeg and don't conflict
with ffmpeg
Comment 12 Chris Rees freebsd_committer 2012-09-24 19:55:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 13 Chris Rees freebsd_committer 2012-09-24 19:57:10 UTC
State Changed
From-To: feedback->analyzed

I've removed the header lines-- hope that's OK. 

/dev/acd0 is no longer in use on later releases, so I've changed it to 
/dev/cd0 

I've switched bsd.port.pre.mk to options.mk; more appropriate 

These changes OK?
Comment 14 g.blach 2012-09-25 08:41:59 UTC
Your changes are OK.
You can commit its.


Eniro Polska Sp. z o.o. ul. Domaniewska 41, 02-672 Warszawa

S=C4=85d Rej. dla m. st. Warszawy XIII Wydzia=C5=82 Gospodarczy, KRS =
116894
Kapita=C5=82 zak=C5=82adowy 20.000.000 z=C5=82, NIP 521-01-25-377
Comment 15 magik 2012-10-21 22:34:44 UTC
- trim header
- /dev/cd0 as default cdrom device
- use <bsd.options.mk>
- fix build on FreeBSD 7.x
Comment 16 Chris Rees freebsd_committer 2012-10-22 19:27:07 UTC
State Changed
From-To: analyzed->open

Fantastic-- I was scratching my head over 7.X failures.  I'll commit 
these as soon as Tinderbox is finished.  Well done!
Comment 17 Chris Rees freebsd_committer 2012-10-22 21:24:38 UTC
State Changed
From-To: open->feedback

Last niggle-- it still breaks on 8.2 
http://www.bayofrum.net/tb/index.php?action=display_markup_log&build=8.2-local&id=2166 
-- mind if I change the OSVERSION to 900000 for disable-ssse3?
Comment 18 magik 2012-10-23 20:32:10 UTC
Disable ssse3 if ${OSVERSION} < 830000
Comment 19 Chris Rees freebsd_committer 2012-10-24 17:35:35 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!
Comment 20 Sergey V. Dyatko 2012-10-25 07:04:18 UTC
Hi,

doesn't build for me with such LIB_DEPENDS ;-(
And yes, if I install multimedia/ffmpeg-011 mplayer2 builds fine


Checking for Libav (libavutil-011 > 51.21.0:libavcodec-011 >
53.34.0:libavformat-011 > 53.20.0:libswscale-011 >= 2.0.0) ... 
Error: Unable to find development files for some of the required Libav
libraries above. Aborting.


[tiger@tiger]~%pkg which /usr/local/lib/libavcodec.so.52.123.0 
/usr/local/lib/libavcodec.so.52.123.0 was installed by package
ffmpeg-0.7.13_6,1

[tiger@tiger]~%pkg which /usr/local/lib/libswscale.s
libswscale.so.0.14.1* libswscale.so.1@libswscale.so@ 
[tiger@tiger]~%pkg which /usr/local/lib/libswscale.so
<tiger> /usr/local/lib/libswscale.so was installed by package
ffmpeg-0.7.13_6,1



-- 
wbr, tiger